; Installation de TriSph

[Setup]
PrivilegesRequired=poweruser
Compression=lzma/max
SolidCompression=yes
AppName=TriSph
AppId=TriSph
AppVerName=TriSph V21aot14
AppPublisher=Yvon Mass
AppVersion=V21aot14
DefaultDirName={pf}\TriSph
DefaultGroupName=TriSph V21aout14
UninstallDisplayIcon={app}\TriSph.exe
ChangesAssociations=yes
OutputDir=C:\wamp\www\trisph\
OutputBaseFilename=install_trisph_v21aout14
;SetupIconFile=TriSph.ico
WizardImageFile=TriSphMax.bmp
WizardImageStretch=no
; Taille : 164x314
WizardSmallImageFile=TriSph.bmp

[Messages]
fr.SelectLanguageTitle=Langue de l'installateur et de TriSph
fr.SelectLanguageLabel=Slectionnez la langue qui sera utilise pendant l'installation et par TriSph :
en.SelectLanguageTitle=Installer and TriSph language
en.SelectLanguageLabel=Select the language to use during the installation and by TriSph:
eo.SelectLanguageTitle=Lingvo de instalilo kaj TriSph
eo.SelectLanguageLabel=Elektu lingvon, kiun uzos instalilo kaj TriSph:

[CustomMessages]
fr.CreateDesktopIcon=Placer un raccourci sur le bureau
en.CreateDesktopIcon=Put a shortcut on the desktop
eo.CreateDesktopIcon=Meti ligon sur labortablo

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; Flags: unchecked

[Files]
Source: "TriSph.exe"; DestDir: "{app}"
Source: "TriSph.ini"; DestDir: "{userappdata}\TriSph"
Source: "TriSph.cnf"; DestDir: "{userappdata}\TriSph"; Languages: fr
Source: "TriSph_en.cnf"; DestDir: "{userappdata}\TriSph"; Languages: en
Source: "TriSph_eo.cnf"; DestDir: "{userappdata}\TriSph"; Languages: eo
Source: "Lisezmoi.pdf"; DestDir: "{app}"; Languages: fr
Source: "Lisezmoi_en.pdf"; DestDir: "{app}"; Languages: en
Source: "Lisezmoi_eo.pdf"; DestDir: "{app}"; Languages: eo
;Source: "Langage_fr.lng"; DestDir: "{userappdata}\TriSph"
Source: "Langage_en.lng"; DestDir: "{userappdata}\TriSph"; Languages: en
Source: "Langage_eo.lng"; DestDir: "{userappdata}\TriSph"; Languages: eo
Source: "License.txt"; DestDir: "{userappdata}\TriSph"; Languages: fr
Source: "License_en.txt"; DestDir: "{userappdata}\TriSph"; Languages: en eo

[Icons]
Name: "{group}\Rsolution triangle"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Languages: fr
Name: "{group}\Triangle solver"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Languages: en
Name: "{group}\Triangulo-solvilo"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Languages: eo
Name: "{group}\Aide"; Filename: "{app}\Lisezmoi.pdf"; Languages: fr
Name: "{group}\Help"; Filename: "{app}\Lisezmoi_en.pdf"; Languages: en
Name: "{group}\Helpo"; Filename: "{app}\Lisezmoi_eo.pdf"; Languages: eo
Name: "{group}\Dsintaller"; Filename: "{uninstallexe}"; Languages: fr
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; Languages: en
Name: "{group}\Malinstali"; Filename: "{uninstallexe}"; Languages: eo
Name: "{userdesktop}\Rsolution triangle"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Tasks: desktopicon; Languages: fr
Name: "{userdesktop}\Triangle solver"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Tasks: desktopicon; Languages: en
Name: "{userdesktop}\Triangulo-solvilo"; Filename: "{app}\TriSph.exe"; WorkingDir: "{userappdata}\TriSph"; Tasks: desktopicon; Languages: eo

[INI]
Filename: "{userappdata}\TriSph\TriSph.ini"; Section: "LANG"; Key: "Ext_lng"; String: "_en"; Languages: en
Filename: "{userappdata}\TriSph\TriSph.ini"; Section: "LANG"; Key: "Ext_lng"; String: "_eo"; Languages: eo

[Languages]
Name: "fr"; MessagesFile: "compiler:Languages\French.isl"; LicenseFile: "License.txt"
Name: "en"; MessagesFile: "compiler:Default.isl"; LicenseFile: "License_en.txt"
Name: "eo"; MessagesFile: "compiler:Languages\Esperanto.isl"; LicenseFile: "License_en.txt"

